/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: router
 */

import { RouterMount, createRouter } from 'uni-simple-router';
import store from '../store/index'

const router = createRouter({
	h5: {
		paramsToQuery: true
	},
	platform: process.env.VUE_APP_PLATFORM,
	routes: [...ROUTES, {
		path: '*',
		name:'404',
		component: ()=> import('@/pages/404/404')
	}]
})

// 全局路由前置守卫
router.beforeEach((to, from, next) => {
	const token  = store.getters.getToken || uni.getStorageSync('token')
	// 检查是否需要登录
	if(to.auth && token === ''){
		next({
			name: 'Login',
			NAVTYPE: 'push',
			params: {
				toName: to.name
			}
		})
		return
	}
	next();
})

// 全局路由后置守卫
router.afterEach((to, from) => {
    // console.log('跳转结束--暂无应用场景')
})

export {
	router,
	RouterMount
}
